else
as_expr=false
fi
+
+# Find out how to test for executable files. Don't use a zero-byte file,
+# as systems may use methods other than mode bits to determine executability.
+cat >conftest.file <<_ASEOF
+#! /bin/sh
+exit 0
+_ASEOF
+chmod +x conftest.file
+if test -x conftest.file; then
+ as_executable_p="test -x"
+elif test -f conftest.file; then
+ as_executable_p="test -f"
+else
+ { { echo "$as_me:38: error: cannot check whether a file is executable on this system" >&5
+echo "$as_me: error: cannot check whether a file is executable on this system" >&2;}
+ { (exit 1); exit 1; }; }
+fi
+rm -f conftest.file
+
# Support unset when possible.
if (FOO=FOO; unset FOO) >/dev/null 2>&1; then
as_unset=unset
ac_feature=`expr "x$ac_option" : 'x-*disable-\(.*\)'`
# Reject names that are not valid shell variable names.
expr "x$ac_feature" : ".*[^-_$ac_cr_alnum]" >/dev/null &&
- { { echo "$as_me:232: error: invalid feature name: $ac_feature" >&5
+ { { echo "$as_me:251: error: invalid feature name: $ac_feature" >&5
echo "$as_me: error: invalid feature name: $ac_feature" >&2;}
{ (exit 1); exit 1; }; }
ac_feature=`echo $ac_feature | sed 's/-/_/g'`
ac_feature=`expr "x$ac_option" : 'x-*enable-\([^=]*\)'`
# Reject names that are not valid shell variable names.
expr "x$ac_feature" : ".*[^-_$ac_cr_alnum]" >/dev/null &&
- { { echo "$as_me:242: error: invalid feature name: $ac_feature" >&5
+ { { echo "$as_me:261: error: invalid feature name: $ac_feature" >&5
echo "$as_me: error: invalid feature name: $ac_feature" >&2;}
{ (exit 1); exit 1; }; }
ac_feature=`echo $ac_feature | sed 's/-/_/g'`
ac_package=`expr "x$ac_option" : 'x-*with-\([^=]*\)'`
# Reject names that are not valid shell variable names.
expr "x$ac_package" : ".*[^-_$ac_cr_alnum]" >/dev/null &&
- { { echo "$as_me:425: error: invalid package name: $ac_package" >&5
+ { { echo "$as_me:444: error: invalid package name: $ac_package" >&5
echo "$as_me: error: invalid package name: $ac_package" >&2;}
{ (exit 1); exit 1; }; }
ac_package=`echo $ac_package| sed 's/-/_/g'`
ac_package=`expr "x$ac_option" : 'x-*without-\(.*\)'`
# Reject names that are not valid shell variable names.
expr "x$ac_package" : ".*[^-_$ac_cr_alnum]" >/dev/null &&
- { { echo "$as_me:439: error: invalid package name: $ac_package" >&5
+ { { echo "$as_me:458: error: invalid package name: $ac_package" >&5
echo "$as_me: error: invalid package name: $ac_package" >&2;}
{ (exit 1); exit 1; }; }
ac_package=`echo $ac_package | sed 's/-/_/g'`
| --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
x_libraries=$ac_optarg ;;
- -*) { { echo "$as_me:463: error: unrecognized option: $ac_option
+ -*) { { echo "$as_me:482: error: unrecognized option: $ac_option
Try \`$0 --help' for more information." >&5
echo "$as_me: error: unrecognized option: $ac_option
Try \`$0 --help' for more information." >&2;}
ac_envvar=`expr "x$ac_option" : 'x\([^=]*\)='`
# Reject names that are not valid shell variable names.
expr "x$ac_envvar" : ".*[^_$ac_cr_alnum]" >/dev/null &&
- { { echo "$as_me:474: error: invalid variable name: $ac_envvar" >&5
+ { { echo "$as_me:493: error: invalid variable name: $ac_envvar" >&5
echo "$as_me: error: invalid variable name: $ac_envvar" >&2;}
{ (exit 1); exit 1; }; }
ac_optarg=`echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"`
*)
# FIXME: should be removed in autoconf 3.0.
- { echo "$as_me:483: WARNING: you should use --build, --host, --target" >&5
+ { echo "$as_me:502: WARNING: you should use --build, --host, --target" >&5
echo "$as_me: WARNING: you should use --build, --host, --target" >&2;}
expr "x$ac_option" : ".*[^-._$ac_cr_alnum]" >/dev/null &&
- { echo "$as_me:486: WARNING: invalid host type: $ac_option" >&5
+ { echo "$as_me:505: WARNING: invalid host type: $ac_option" >&5
echo "$as_me: WARNING: invalid host type: $ac_option" >&2;}
: ${build_alias=$ac_option} ${host_alias=$ac_option} ${target_alias=$ac_option}
;;
if test -n "$ac_prev"; then
ac_option=--`echo $ac_prev | sed 's/_/-/g'`
- { { echo "$as_me:496: error: missing argument to $ac_option" >&5
+ { { echo "$as_me:515: error: missing argument to $ac_option" >&5
echo "$as_me: error: missing argument to $ac_option" >&2;}
{ (exit 1); exit 1; }; }
fi
case $ac_val in
[\\/$]* | ?:[\\/]* ) ;;
NONE ) ;;
- *) { { echo "$as_me:510: error: expected an absolute path for --$ac_var: $ac_val" >&5
+ *) { { echo "$as_me:529: error: expected an absolute path for --$ac_var: $ac_val" >&5
echo "$as_me: error: expected an absolute path for --$ac_var: $ac_val" >&2;}
{ (exit 1); exit 1; }; };;
esac
if test "x$host_alias" != x; then
if test "x$build_alias" = x; then
cross_compiling=maybe
- { echo "$as_me:526: WARNING: If you wanted to set the --build type, don't use --host.
+ { echo "$as_me:545: WARNING: If you wanted to set the --build type, don't use --host.
If a cross compiler is detected then cross compile mode will be used." >&5
echo "$as_me: WARNING: If you wanted to set the --build type, don't use --host.
If a cross compiler is detected then cross compile mode will be used." >&2;}
fi
if test ! -r $srcdir/$ac_unique_file; then
if test "$ac_srcdir_defaulted" = yes; then
- { { echo "$as_me:554: error: cannot find sources in $ac_confdir or .." >&5
+ { { echo "$as_me:573: error: cannot find sources in $ac_confdir or .." >&5
echo "$as_me: error: cannot find sources in $ac_confdir or .." >&2;}
{ (exit 1); exit 1; }; }
else
- { { echo "$as_me:558: error: cannot find sources in $srcdir" >&5
+ { { echo "$as_me:577: error: cannot find sources in $srcdir" >&5
echo "$as_me: error: cannot find sources in $srcdir" >&2;}
{ (exit 1); exit 1; }; }
fi
echo
$ac_configure --help
else
- { echo "$as_me:684: WARNING: no configuration information is in $ac_subdir" >&5
+ { echo "$as_me:703: WARNING: no configuration information is in $ac_subdir" >&5
echo "$as_me: WARNING: no configuration information is in $ac_subdir" >&2;}
fi
cd $ac_popdir
# Some versions of bash will fail to source /dev/null (special
# files actually), so we avoid doing that.
if test -f "$cache_file"; then
- { echo "$as_me:797: loading cache $cache_file" >&5
+ { echo "$as_me:816: loading cache $cache_file" >&5
echo "$as_me: loading cache $cache_file" >&6;}
case $cache_file in
[\\/]* | ?:[\\/]* ) . $cache_file;;
esac
fi
else
- { echo "$as_me:805: creating cache $cache_file" >&5
+ { echo "$as_me:824: creating cache $cache_file" >&5
echo "$as_me: creating cache $cache_file" >&6;}
>$cache_file
fi
eval ac_new_val="\$ac_env_${ac_var}_value"
case $ac_old_set,$ac_new_set in
set,)
- { echo "$as_me:821: WARNING: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&5
+ { echo "$as_me:840: WARNING: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&5
echo "$as_me: WARNING: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&2;}
ac_suggest_removing_cache=: ;;
,set)
- { echo "$as_me:825: WARNING: \`$ac_var' was not set in the previous run" >&5
+ { echo "$as_me:844: WARNING: \`$ac_var' was not set in the previous run" >&5
echo "$as_me: WARNING: \`$ac_var' was not set in the previous run" >&2;}
ac_suggest_removing_cache=: ;;
,);;
*)
if test "x$ac_old_val" != "x$ac_new_val"; then
- { echo "$as_me:831: WARNING: \`$ac_var' has changed since the previous run:" >&5
+ { echo "$as_me:850: WARNING: \`$ac_var' has changed since the previous run:" >&5
echo "$as_me: WARNING: \`$ac_var' has changed since the previous run:" >&2;}
- { echo "$as_me:833: WARNING: former value: $ac_old_val" >&5
+ { echo "$as_me:852: WARNING: former value: $ac_old_val" >&5
echo "$as_me: WARNING: former value: $ac_old_val" >&2;}
- { echo "$as_me:835: WARNING: current value: $ac_new_val" >&5
+ { echo "$as_me:854: WARNING: current value: $ac_new_val" >&5
echo "$as_me: WARNING: current value: $ac_new_val" >&2;}
ac_suggest_removing_cache=:
fi;;
esac
done
if $ac_suggest_removing_cache; then
- { echo "$as_me:842: WARNING: changes in the environment can compromise the build" >&5
+ { echo "$as_me:861: WARNING: changes in the environment can compromise the build" >&5
echo "$as_me: WARNING: changes in the environment can compromise the build" >&2;}
- { echo "$as_me:844: WARNING: consider removing $cache_file and starting over" >&5
+ { echo "$as_me:863: WARNING: consider removing $cache_file and starting over" >&5
echo "$as_me: WARNING: consider removing $cache_file and starting over" >&2;}
fi
fi
done
if test -z "$ac_aux_dir"; then
- { { echo "$as_me:878: error: cannot find install-sh or install.sh in $srcdir $srcdir/.. $srcdir/../.." >&5
+ { { echo "$as_me:897: error: cannot find install-sh or install.sh in $srcdir $srcdir/.. $srcdir/../.." >&5
echo "$as_me: error: cannot find install-sh or install.sh in $srcdir $srcdir/.. $srcdir/../.." >&2;}
{ (exit 1); exit 1; }; }
fi
# AFS /usr/afsws/bin/install, which mishandles nonexistent args
# SVR4 /usr/ucb/install, which tries to use the nonexistent group "staff"
# ./install, which can be erroneously created by make from ./install.sh.
-echo "$as_me:898: checking for a BSD compatible install" >&5
+echo "$as_me:917: checking for a BSD compatible install" >&5
echo $ECHO_N "checking for a BSD compatible install... $ECHO_C" >&6
if test -z "$INSTALL"; then
if test "${ac_cv_path_install+set}" = set; then
INSTALL=$ac_install_sh
fi
fi
-echo "$as_me:947: result: $INSTALL" >&5
+echo "$as_me:966: result: $INSTALL" >&5
echo "${ECHO_T}$INSTALL" >&6
# Use test -z because SunOS4 sh mishandles braces in ${var-val}.
test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644'
-echo "$as_me:958: checking whether build environment is sane" >&5
+echo "$as_me:977: checking whether build environment is sane" >&5
echo $ECHO_N "checking whether build environment is sane... $ECHO_C" >&6
# Just in case
sleep 1
# if, for instance, CONFIG_SHELL is bash and it inherits a
# broken ls alias from the environment. This has actually
# happened. Such a system could not be considered "sane".
- { { echo "$as_me:981: error: ls -t appears to fail. Make sure there is not a broken
+ { { echo "$as_me:1000: error: ls -t appears to fail. Make sure there is not a broken
alias in your environment" >&5
echo "$as_me: error: ls -t appears to fail. Make sure there is not a broken
alias in your environment" >&2;}
# Ok.
:
else
- { { echo "$as_me:994: error: newly created file is older than distributed files!
+ { { echo "$as_me:1013: error: newly created file is older than distributed files!
Check your system clock" >&5
echo "$as_me: error: newly created file is older than distributed files!
Check your system clock" >&2;}
{ (exit 1); exit 1; }; }
fi
rm -f conftest*
-echo "$as_me:1001: result: yes" >&5
+echo "$as_me:1020: result: yes" >&5
echo "${ECHO_T}yes" >&6
if test "$program_transform_name" = s,x,x,; then
program_transform_name=
# sed with no file args requires a program.
test -z "$program_transform_name" && program_transform_name="s,x,x,"
-echo "$as_me:1022: checking whether ${MAKE-make} sets \${MAKE}" >&5
+echo "$as_me:1041: checking whether ${MAKE-make} sets \${MAKE}" >&5
echo $ECHO_N "checking whether ${MAKE-make} sets \${MAKE}... $ECHO_C" >&6
set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y,./+-,__p_,'`
if eval "test \"\${ac_cv_prog_make_${ac_make}_set+set}\" = set"; then
rm -f conftestmake
fi
if eval "test \"`echo '$ac_cv_prog_make_'${ac_make}_set`\" = yes"; then
- echo "$as_me:1042: result: yes" >&5
+ echo "$as_me:1061: result: yes" >&5
echo "${ECHO_T}yes" >&6
SET_MAKE=
else
- echo "$as_me:1046: result: no" >&5
+ echo "$as_me:1065: result: no" >&5
echo "${ECHO_T}no" >&6
SET_MAKE="MAKE=${MAKE-make}"
fi
VERSION=2.49c
if test "`cd $srcdir && pwd`" != "`pwd`" && test -f $srcdir/config.status; then
- { { echo "$as_me:1056: error: source directory already configured; run \"make distclean\" there first" >&5
+ { { echo "$as_me:1075: error: source directory already configured; run \"make distclean\" there first" >&5
echo "$as_me: error: source directory already configured; run \"make distclean\" there first" >&2;}
{ (exit 1); exit 1; }; }
fi
EOF
missing_dir=`cd $ac_aux_dir && pwd`
-echo "$as_me:1070: checking for working aclocal" >&5
+echo "$as_me:1089: checking for working aclocal" >&5
echo $ECHO_N "checking for working aclocal... $ECHO_C" >&6
# Run test in a subshell; some versions of sh will print an error if
# an executable is not found, even if stderr is redirected.
# Redirect stdin to placate older versions of autoconf. Sigh.
if (aclocal --version) < /dev/null > /dev/null 2>&1; then
ACLOCAL=aclocal
- echo "$as_me:1077: result: found" >&5
+ echo "$as_me:1096: result: found" >&5
echo "${ECHO_T}found" >&6
else
ACLOCAL="$SHELL $missing_dir/missing aclocal"
- echo "$as_me:1081: result: missing" >&5
+ echo "$as_me:1100: result: missing" >&5
echo "${ECHO_T}missing" >&6
fi
-echo "$as_me:1085: checking for working autoconf" >&5
+echo "$as_me:1104: checking for working autoconf" >&5
echo $ECHO_N "checking for working autoconf... $ECHO_C" >&6
# Run test in a subshell; some versions of sh will print an error if
# an executable is not found, even if stderr is redirected.
# Redirect stdin to placate older versions of autoconf. Sigh.
if (autoconf --version) < /dev/null > /dev/null 2>&1; then
AUTOCONF=autoconf
- echo "$as_me:1092: result: found" >&5
+ echo "$as_me:1111: result: found" >&5
echo "${ECHO_T}found" >&6
else
AUTOCONF="$SHELL $missing_dir/missing autoconf"
- echo "$as_me:1096: result: missing" >&5
+ echo "$as_me:1115: result: missing" >&5
echo "${ECHO_T}missing" >&6
fi
-echo "$as_me:1100: checking for working automake" >&5
+echo "$as_me:1119: checking for working automake" >&5
echo $ECHO_N "checking for working automake... $ECHO_C" >&6
# Run test in a subshell; some versions of sh will print an error if
# an executable is not found, even if stderr is redirected.
# Redirect stdin to placate older versions of autoconf. Sigh.
if (automake --version) < /dev/null > /dev/null 2>&1; then
AUTOMAKE=automake
- echo "$as_me:1107: result: found" >&5
+ echo "$as_me:1126: result: found" >&5
echo "${ECHO_T}found" >&6
else
AUTOMAKE="$SHELL $missing_dir/missing automake"
- echo "$as_me:1111: result: missing" >&5
+ echo "$as_me:1130: result: missing" >&5
echo "${ECHO_T}missing" >&6
fi
-echo "$as_me:1115: checking for working autoheader" >&5
+echo "$as_me:1134: checking for working autoheader" >&5
echo $ECHO_N "checking for working autoheader... $ECHO_C" >&6
# Run test in a subshell; some versions of sh will print an error if
# an executable is not found, even if stderr is redirected.
# Redirect stdin to placate older versions of autoconf. Sigh.
if (autoheader --version) < /dev/null > /dev/null 2>&1; then
AUTOHEADER=autoheader
- echo "$as_me:1122: result: found" >&5
+ echo "$as_me:1141: result: found" >&5
echo "${ECHO_T}found" >&6
else
AUTOHEADER="$SHELL $missing_dir/missing autoheader"
- echo "$as_me:1126: result: missing" >&5
+ echo "$as_me:1145: result: missing" >&5
echo "${ECHO_T}missing" >&6
fi
-echo "$as_me:1130: checking for working makeinfo" >&5
+echo "$as_me:1149: checking for working makeinfo" >&5
echo $ECHO_N "checking for working makeinfo... $ECHO_C" >&6
# Run test in a subshell; some versions of sh will print an error if
# an executable is not found, even if stderr is redirected.
# Redirect stdin to placate older versions of autoconf. Sigh.
if (makeinfo --version) < /dev/null > /dev/null 2>&1; then
MAKEINFO=makeinfo
- echo "$as_me:1137: result: found" >&5
+ echo "$as_me:1156: result: found" >&5
echo "${ECHO_T}found" >&6
else
MAKEINFO="$SHELL $missing_dir/missing makeinfo"
- echo "$as_me:1141: result: missing" >&5
+ echo "$as_me:1160: result: missing" >&5
echo "${ECHO_T}missing" >&6
fi
# Extract the first word of "expr", so it can be a program name with args.
set dummy expr; ac_word=$2
-echo "$as_me:1150: checking for $ac_word" >&5
+echo "$as_me:1169: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_path_EXPR+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
for ac_dir in $ac_dummy; do
IFS=$ac_save_IFS
test -z "$ac_dir" && ac_dir=.
- if test -f "$ac_dir/$ac_word"; then
+ if $as_executable_p "$ac_dir/$ac_word"; then
ac_cv_path_EXPR="$ac_dir/$ac_word"
break
fi
EXPR=$ac_cv_path_EXPR
if test -n "$EXPR"; then
- echo "$as_me:1177: result: $EXPR" >&5
+ echo "$as_me:1196: result: $EXPR" >&5
echo "${ECHO_T}$EXPR" >&6
else
- echo "$as_me:1180: result: no" >&5
+ echo "$as_me:1199: result: no" >&5
echo "${ECHO_T}no" >&6
fi
do
# Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
-echo "$as_me:1192: checking for $ac_word" >&5
+echo "$as_me:1211: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_path_M4+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
for ac_dir in $ac_dummy; do
IFS=$ac_save_IFS
test -z "$ac_dir" && ac_dir=.
- if test -f "$ac_dir/$ac_word"; then
+ if $as_executable_p "$ac_dir/$ac_word"; then
ac_cv_path_M4="$ac_dir/$ac_word"
break
fi
M4=$ac_cv_path_M4
if test -n "$M4"; then
- echo "$as_me:1219: result: $M4" >&5
+ echo "$as_me:1238: result: $M4" >&5
echo "${ECHO_T}$M4" >&6
else
- echo "$as_me:1222: result: no" >&5
+ echo "$as_me:1241: result: no" >&5
echo "${ECHO_T}no" >&6
fi
done
test -n "$M4" || M4="m4"
-echo "$as_me:1230: checking whether m4 supports frozen files" >&5
+echo "$as_me:1249: checking whether m4 supports frozen files" >&5
echo $ECHO_N "checking whether m4 supports frozen files... $ECHO_C" >&6
if test "${ac_cv_prog_gnu_m4+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
esac
fi
fi
-echo "$as_me:1242: result: $ac_cv_prog_gnu_m4" >&5
+echo "$as_me:1261: result: $ac_cv_prog_gnu_m4" >&5
echo "${ECHO_T}$ac_cv_prog_gnu_m4" >&6
if test x"$ac_cv_prog_gnu_m4" != xyes; then
- { { echo "$as_me:1245: error: GNU m4 1.4 is required" >&5
+ { { echo "$as_me:1264: error: GNU m4 1.4 is required" >&5
echo "$as_me: error: GNU m4 1.4 is required" >&2;}
{ (exit 1); exit 1; }; }
fi
do
# Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
-echo "$as_me:1257: checking for $ac_word" >&5
+echo "$as_me:1276: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_AWK+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
for ac_dir in $ac_dummy; do
IFS=$ac_save_IFS
test -z "$ac_dir" && ac_dir=.
- test -f "$ac_dir/$ac_word" || continue
+ $as_executable_p "$ac_dir/$ac_word" || continue
ac_cv_prog_AWK="$ac_prog"
break
done
fi
AWK=$ac_cv_prog_AWK
if test -n "$AWK"; then
- echo "$as_me:1279: result: $AWK" >&5
+ echo "$as_me:1298: result: $AWK" >&5
echo "${ECHO_T}$AWK" >&6
else
- echo "$as_me:1282: result: no" >&5
+ echo "$as_me:1301: result: no" >&5
echo "${ECHO_T}no" >&6
fi
done
# Generating man pages.
-echo "$as_me:1290: checking for working help2man" >&5
+echo "$as_me:1309: checking for working help2man" >&5
echo $ECHO_N "checking for working help2man... $ECHO_C" >&6
# Run test in a subshell; some versions of sh will print an error if
# an executable is not found, even if stderr is redirected.
# Redirect stdin to placate older versions of autoconf. Sigh.
if (help2man --version) < /dev/null > /dev/null 2>&1; then
HELP2MAN=help2man
- echo "$as_me:1297: result: found" >&5
+ echo "$as_me:1316: result: found" >&5
echo "${ECHO_T}found" >&6
else
HELP2MAN="$SHELL $missing_dir/missing help2man"
- echo "$as_me:1301: result: missing" >&5
+ echo "$as_me:1320: result: missing" >&5
echo "${ECHO_T}missing" >&6
fi
# We use a path for perl so the #! line in autoscan will work.
# Extract the first word of "perl", so it can be a program name with args.
set dummy perl; ac_word=$2
-echo "$as_me:1308: checking for $ac_word" >&5
+echo "$as_me:1327: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_path_PERL+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
for ac_dir in $ac_dummy; do
IFS=$ac_save_IFS
test -z "$ac_dir" && ac_dir=.
- if test -f "$ac_dir/$ac_word"; then
+ if $as_executable_p "$ac_dir/$ac_word"; then
ac_cv_path_PERL="$ac_dir/$ac_word"
break
fi
PERL=$ac_cv_path_PERL
if test -n "$PERL"; then
- echo "$as_me:1336: result: $PERL" >&5
+ echo "$as_me:1355: result: $PERL" >&5
echo "${ECHO_T}$PERL" >&6
else
- echo "$as_me:1339: result: no" >&5
+ echo "$as_me:1358: result: no" >&5
echo "${ECHO_T}no" >&6
fi
if test "$PERL" != no; then
PERLSCRIPTS=autoscan
else
- { echo "$as_me:1346: WARNING: autoscan will not be built since perl is not found" >&5
+ { echo "$as_me:1365: WARNING: autoscan will not be built since perl is not found" >&5
echo "$as_me: WARNING: autoscan will not be built since perl is not found" >&2;}
fi
# AFS /usr/afsws/bin/install, which mishandles nonexistent args
# SVR4 /usr/ucb/install, which tries to use the nonexistent group "staff"
# ./install, which can be erroneously created by make from ./install.sh.
-echo "$as_me:1362: checking for a BSD compatible install" >&5
+echo "$as_me:1381: checking for a BSD compatible install" >&5
echo $ECHO_N "checking for a BSD compatible install... $ECHO_C" >&6
if test -z "$INSTALL"; then
if test "${ac_cv_path_install+set}" = set; then
INSTALL=$ac_install_sh
fi
fi
-echo "$as_me:1411: result: $INSTALL" >&5
+echo "$as_me:1430: result: $INSTALL" >&5
echo "${ECHO_T}$INSTALL" >&6
# Use test -z because SunOS4 sh mishandles braces in ${var-val}.
: ${CONFIG_STATUS=./config.status}
ac_clean_files_save=$ac_clean_files
ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:1525: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:1544: creating $CONFIG_STATUS" >&5
echo "$as_me: creating $CONFIG_STATUS" >&6;}
cat >$CONFIG_STATUS <<\_ACEOF
#! /bin/sh
else
as_expr=false
fi
+
+# Find out how to test for executable files. Don't use a zero-byte file,
+# as systems may use methods other than mode bits to determine executability.
+cat >conftest.file <<_ASEOF
+#! /bin/sh
+exit 0
+_ASEOF
+chmod +x conftest.file
+if test -x conftest.file; then
+ as_executable_p="test -x"
+elif test -f conftest.file; then
+ as_executable_p="test -f"
+else
+ { { echo "$as_me:1583: error: cannot check whether a file is executable on this system" >&5
+echo "$as_me: error: cannot check whether a file is executable on this system" >&2;}
+ { (exit 1); exit 1; }; }
+fi
+rm -f conftest.file
+
# Support unset when possible.
if (FOO=FOO; unset FOO) >/dev/null 2>&1; then
as_unset=unset
echo "$ac_cs_version"; exit 0 ;;
--he | --h)
# Conflict between --help and --header
- { { echo "$as_me:1685: error: ambiguous option: $1
+ { { echo "$as_me:1723: error: ambiguous option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: ambiguous option: $1
Try \`$0 --help' for more information." >&2;}
'tests/atconfig' ) CONFIG_FILES="$CONFIG_FILES tests/atconfig" ;;
# This is an error.
- -*) { { echo "$as_me:1712: error: unrecognized option: $1
+ -*) { { echo "$as_me:1750: error: unrecognized option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: unrecognized option: $1
Try \`$0 --help' for more information." >&2;}
{ (exit 1); exit 1; }; } ;;
- *) { { echo "$as_me:1717: error: invalid argument: $1" >&5
+ *) { { echo "$as_me:1755: error: invalid argument: $1" >&5
echo "$as_me: error: invalid argument: $1" >&2;}
{ (exit 1); exit 1; }; };;
esac
esac
if test x"$ac_file" != x-; then
- { echo "$as_me:1927: creating $ac_file" >&5
+ { echo "$as_me:1965: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
rm -f "$ac_file"
fi
-) echo $tmp/stdin ;;
[\\/$]* | ?:[\\/]*)
# Absolute
- test -f "$f" || { { echo "$as_me:1945: error: cannot find input file: $f" >&5
+ test -f "$f" || { { echo "$as_me:1983: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
echo $ac_given_srcdir/$f
else
# /dev/null tree
- { { echo "$as_me:1958: error: cannot find input file: $f" >&5
+ { { echo "$as_me:1996: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;